
QGIS Application - Bug report #17448
Status: Closed

Priority: Normal

Assignee: QGIS Translation Team

Category: Translations and international

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25345

Description

In some locales (Spanish, Basque, Catalan, Suomi, Magyar...), 'Raster' menu appears twice:

    -  one in the correct position with only two items

    -  another one after 'Help' menu item, with the rest of the options

Related issues:

Related to QGIS Application - Bug report # 13975: Lithuanian Raster Menu Closed 2015-12-10

Associated revisions

Revision 6441b64a - 2018-05-28 05:49 AM - Nyall Dawson

[Processing] Fix raster menu split in two in some locales

Fixes #17448

History

#1 - 2017-11-14 09:03 AM - Giovanni Manghi

- Operating System deleted (Fedora 26)

- Regression? changed from Yes to No

see also #13975

#2 - 2017-11-14 10:57 AM - Harrissou Santanna

- Status changed from Open to Feedback

Asier Sarasua, what happens if in Settings --> Options --> Processing, you click the "Reset to default" button (in front of menus) and reopen QGIS?

#3 - 2017-11-14 11:06 AM - Harrissou Santanna

Assuming translation has been well done in Transifex. Note that one raster menu label is from qgis application global menus and the second one is from

Processing algs so there are two occurrences in Transifex that should have the same translation otherwise you get two menus. And in such a case, only

language speakers are better placed to fix that.

#4 - 2017-11-14 05:16 PM - Asier Sarasua

- File qgis raster menu bug 2.png added
http://qgis.org/en/site/getinvolved/translate.html


"Settings --> Options --> Processing --> Reset to default" doesn't solve the problem.

I noticed another user in Transifex mentioned the same problem, see the attached image.

In that image you can also see that the translations of those two strings to Basque are the same. I understand those two strings are the ones that should be

equal. According to Transifex, one is in ../src/ui/qgisapp.ui:232 and the other is in  ../python/plugins/processing/python-i18n.cpp:1998

As that new translation still is not integrated into Github, I just downloaded a TS copy of the Basque language from Transifex and converted to QM, then I

copied it to the "i18n" folder into my recently compiled QGIS master version. Now all the new strings recently translated to Basque appear in QGIS, but the

issue with the 'Raster' menu remains.

#5 - 2017-11-14 05:32 PM - Asier Sarasua

Trying other languages, I noticed the issue appears in languages where the string "&Raster" is NOT translated exactly as "&Raster". The problem is in

languages with other translations (R&aster, &Ráster, &Rasterra, &Rastra...).

#6 - 2017-11-14 06:19 PM - Harrissou Santanna

Asier Sarasua wrote:

"Settings --> Options --> Processing --> Reset to default" doesn't solve the problem.

Weird. We have same issue in french community with Vector (in 2.18, and in our case it was "vecteur") and ensuring same translation + reset to default +

reopen QGIS solved it afaict.

#7 - 2017-11-14 08:50 PM - Jürgen Fischer

- Related to Bug report #13975: Lithuanian Raster Menu added

#8 - 2017-11-17 06:24 PM - Harrissou Santanna

- File clean_translated_menus.PNG added

"Settings --> Options --> Processing --> Reset to default" doesn't solve the problem.

I gave it a try (and it seems to work here):

    -  switch to catalan: it broke my clean menus, adding "Vecteur" (the french duplicate menu mentioned previously) but no second Raster menu... which

makes me think that this bug might have a relation with the locale of the system.

    -  click on the "Reset to default" button

    -  reopen QGIS and I have a clean menu (see clean_translated_menus screenshot)

This doesn't mean the issue report is invalid (anytime you switch language, the issue resurrects) but looks like there's a workaround.

#9 - 2017-11-19 11:49 AM - Asier Sarasua

- File qgis two raster two vector menus spanish.png added

More weird things:
- All the submenus under the second "Raster" menu ("Analysis", "Projections", "Miscellaneous", "Extraction", "Conversion") are in English.

- My system locale is EU (Basque), and if I activate "Override system locale" and change the language to ES, now I have two "Raster" menus and two

"Vector" menus. The second "Raster" menu's submenus are in English (as in the first point), but the second "Vector" submenus appear in EU.

#10 - 2018-02-22 01:35 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

Seems ok on QGIS 3, please reopen if necessary.

#11 - 2018-02-24 08:23 AM - Asier Sarasua

OK, I see that the problem persists in both menus but the workaround is valid. I will open another issue.
